/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Browser</DEPENDS>
</DEPENDENCIES>
*/
function IFrameResizer(sId, iframeName, minWidth, divId)
{
	if (sId)
	{
		this.init(sId, iframeName, minWidth, divId);
	}
}
IFrameResizer.prototype.init = function(sId, iFrameId, minHeight, divId)
{
	var me = this;
	this.sId = sId;
	this.iFrameId = iFrameId;
	this.minHeight = minHeight;
	this.divId = divId;
	this.iFrame = null;
	this.iframeLoadListener = function(e)
	{
		var pageDocument = me.iFrame.contentWindow.document;
		var htmlElement = pageDocument.getElementsByTagName("BODY")[0];
		var height = htmlElement.scrollHeight + 15;
		if (height < me.minHeight)
			height = me.minHeight;
		this.height = height;
		me.iFrame.height = height;
		document.getElementById(me.divId).style["height"] = height + "px";
		return false;
	}
}
IFrameResizer.prototype.getId = function()
{
	return this.sId;
}
IFrameResizer.prototype.start = function()
{
	this.iFrame = Browser.getElementById(this.iFrameId);
	Browser.addEventListenerToDomNode(this.iFrame, Browser.eventNames.LOAD, this.iframeLoadListener);
}
