/*
<DEPENDENCIES>
    <DEPENDS>Browser</DEPENDS>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>DomletCtr</DEPENDS>
    <DEPENDS>Domlet</DEPENDS>
    <DEPENDS>InformationItem</DEPENDS>
</DEPENDENCIES>
*/
InformationResourceManager.prototype             = new DomletCtr();
InformationResourceManager.prototype.constructor = InformationResourceManager;
InformationResourceManager.superclass            = DomletCtr.prototype;
function InformationResourceManager(sId, sInputWidgetDomId )
{
  if (sId) { this.init(sId, sInputWidgetDomId); }
}
InformationResourceManager.prototype.init = function(sId, sInputWidgetDomId)
{
  ;   
  this.sId = sId;
  InformationResourceManager.superclass.init.call(this, sInputWidgetDomId, sId, null);
  this.sBgHighlightColor = null;
  this.sFgHighlightColor = null;
  this.sBgInactiveColor = null;
  this.sFgInactiveColor = null;
  this.oActiveInfoItem = null;
  this.oScrollArea = null;
  this.aInformationItems = new Array;
  this.oInputWidget = document.getElementById(sInputWidgetDomId);
  this.sInputWidgetDomId = sInputWidgetDomId;
  if (this.oInputWidget == null)
  {
    ;
  }
  if ( sInputWidgetDomId )
  {
    this.addDomlet(new Domlet(
      this.sInputWidgetDomId,     
      this.name,      
      this.parent,    
      new Array('keyup')) 
    )
  }
}
InformationResourceManager.prototype.getId = function()
{
  //;
  return this.sId;
}
InformationResourceManager.prototype.setActiveInfoItem = function(oActiveInfoItem)
{
  ;
  if ( this.oActiveInfoItem )
  {
    this.oActiveInfoItem.showSelected(false);
  }
  this.oActiveInfoItem = oActiveInfoItem;
  if ( this.oScrollArea )
  {
    this.oScrollArea.scrollTo(oActiveInfoItem.sWidgetDomId);
  }
  this.oActiveInfoItem.showSelected(true);
}
InformationResourceManager.prototype.setScrollArea = function(oScrollArea)
{
  ;
  this.oScrollArea = oScrollArea;
}
InformationResourceManager.prototype.registerInformation = function(sDomId, sText, Action)
{
  ;
  var oInformationItem = new InformationItem('info_item_' + sDomId, sDomId, Action);
  oInformationItem.setManager(this);
  if ( this.aInformationItems[sText] )
  {
    ;
  }
  this.aInformationItems[sText] = oInformationItem;
}
InformationResourceManager.prototype.eventFromChild = function(childName, eventType, event)
{
  ;
  var domlet = this.domlets[childName];
  switch(eventType)
  {
    case "keyup" :
      ;
      this.keyUpHandler(domlet, event);
      break;
  }
}
InformationResourceManager.prototype.keyUpHandler = function(domlet, event)
{
  ;
  var sInputText = this.oInputWidget.value
  if ( sInputText )
  {
    var nFound = null;
    var oInformationItem = null;
    for ( var i in this.aInformationItems)
    {
      if ( nFound == sInputText.length )
      {
        break;
      }
      var tmpFound = null;
      for ( var j = 0;  j < i.length  && j < sInputText.length ;j++ )
      {
        if (i.charAt(j) == sInputText.charAt(j))
        {
          tmpFound++;
        }
        else
        {
          break;
        }
      }
      if ( tmpFound > nFound )
      {
        oInformationItem = this.aInformationItems[i];
        nFound = tmpFound;
      }
    }
    if ( oInformationItem )
    {
      this.setActiveInfoItem(oInformationItem);
    }
  }
  if ( event.keyCode == 13 )
  {
    this.oActiveInfoItem.showContent();
  }
}
InformationResourceManager.prototype.setBgHighlightColor = function(sBgHighlightColor)
{
  ;
  this.sBgHighlightColor = sBgHighlightColor;  
}
InformationResourceManager.prototype.setFgHighlightColor = function(sFgHighlightColor)
{
  ;
  this.sFgHighlightColor = sFgHighlightColor;  
}
InformationResourceManager.prototype.setFgInactiveColor = function(sFgInactiveColor)
{
  ;
  this.sFgInactiveColor = sFgInactiveColor;  
}
InformationResourceManager.prototype.setBgInactiveColor = function(sBgInactiveColor)
{
  ;
  this.sBgInactiveColor = sBgInactiveColor;  
}
InformationItem.prototype             = new DomletCtr();
InformationItem.prototype.constructor = InformationItem;
InformationItem.superclass            = DomletCtr.prototype;
function InformationItem(sId, sWidgetDomId, ActiveAction)
{
  if (sId) { this.init(sId, sWidgetDomId, ActiveAction); }
}
InformationItem.prototype.init = function(sId, sWidgetDomId, ActiveAction)
{
  ;   
  this.sId = sId;
  InformationItem.superclass.init.call(this, sWidgetDomId, sId, null);
  this.oManager = null;
  this.ActiveAction = ActiveAction;
  this.oWidget = document.getElementById(sWidgetDomId);
  this.sWidgetDomId = sWidgetDomId;
  if (this.oWidget == null)
  {
    ;
  }
  this.addDomlet(new Domlet(
    this.sWidgetDomId,     
    this.name,      
    this.parent,    
    new Array('click', 'mouseover')) 
  )
}
InformationItem.prototype.getId = function()
{
  //;
  return this.sId;
}
InformationItem.prototype.setManager = function(oManager)
{
  ;
  this.oManager = oManager;  
}
InformationItem.prototype.eventFromChild = function(childName, eventType, event)
{
  ;
  var domlet = this.domlets[childName];
  switch(eventType)
  {
    case "click" :
      ;
      this.clickHandler(domlet, event);
      break;
    case "mouseover" :
      ;
      this.mouseOverHandler(domlet, event);
      break;
    case "mouseout" :
      ;
      this.mouseOutHandler(domlet, event);
      break;
  }
}
InformationItem.prototype.clickHandler = function(domlet, event)
{
  ;
  this.showContent();
}
InformationItem.prototype.mouseOverHandler = function(domlet, event)
{
  ;
  this.oManager.setActiveInfoItem(this);
}
InformationItem.prototype.showContent = function()
{
  ;
  this.ActiveAction.invoke();
}
InformationItem.prototype.showSelected = function(bSelected)
{
  ;
  if ( bSelected )
  {
    if ( this.oManager.sBgHighlightColor )
    {
      this.oWidget.style.background = this.oManager.sBgHighlightColor;
    }
    if ( this.oManager.sFgHighlightColor )
    {
      this.oWidget.style.color = this.oManager.sFgHighlightColor;
    }
  }
  else
  {
    if ( this.oManager.sBgInactiveColor )
    {
      this.oWidget.style.background = this.oManager.sBgInactiveColor;
    }
    if ( this.oManager.sFgInactiveColor )
    {
      this.oWidget.style.color = this.oManager.sFgInactiveColor;
    }
  }
}
