/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
    <DEPENDS>Action</DEPENDS>
</DEPENDENCIES>
*/
BingoBroker.prototype             = new Broker();
BingoBroker.prototype.constructor = BingoBroker;
BingoBroker.superclass            = Broker.prototype;
function BingoBroker(sId)
{
  if (sId) { this.init(sId); }
}
BingoBroker.prototype.init = function(sId)
{
  ;
  this.sId = sId;
  this.bingoController = null;
  BingoBroker.superclass.init.call(this, sId);
}
BingoBroker.prototype.setBingoController = function(bingoController)
{
  this.bingoController = bingoController;
}
BingoBroker.prototype.doStartIntervals = function()
{
  this.getMessage('startIntervals');
}
BingoBroker.prototype.addStartIntervalsHandle = function(action)
{
  this.registerAction('startIntervals', action);
}
BingoBroker.prototype.getStartIntervalsAction = function(action)
{
  return new ObjectMethodAction(this, 'startIntervals');
}
BingoBroker.prototype.startIntervals = function()
{
  ;
  if (this.bingoController)
    this.bingoController.shouldStartIntervals();
  else
    this.doStartIntervals();
}
BingoBroker.prototype.doEndIntervals = function()
{
  this.getMessage('endIntervals');
}
BingoBroker.prototype.addEndIntervalsHandle = function(action)
{
  this.registerAction('endIntervals', action);
}
BingoBroker.prototype.getEndIntervalsAction = function(action)
{
  return new ObjectMethodAction(this, 'endIntervals');
}
BingoBroker.prototype.endIntervals = function()
{
  ;
  if (this.bingoController)
    this.bingoController.shouldEndIntervals();
  else
    this.doEndIntervals();
}
BingoBroker.prototype.doPlayIntervalsBegin = function()
{
  this.getMessage('playIntervalsBegin');
}
BingoBroker.prototype.addPlayIntervalsBeginHandle = function(action)
{
  this.registerAction('playIntervalsBegin', action);
}
BingoBroker.prototype.getPlayIntervalsBeginAction = function(action)
{
  return new ObjectMethodAction(this, 'playIntervalsBegin');
}
BingoBroker.prototype.playIntervalsBegin = function()
{
  ;
  if (this.bingoController)
    this.bingoController.shouldPlayIntervalsBegin();
  else
    this.doPlayIntervalsBegin();
}
BingoBroker.prototype.doPlayIntervalsEnd = function()
{
  this.getMessage('playIntervalsEnd');
}
BingoBroker.prototype.addPlayIntervalsEndHandle = function(action)
{
  this.registerAction('playIntervalsEnd', action);
}
BingoBroker.prototype.getPlayIntervalsEndAction = function(action)
{
  return new ObjectMethodAction(this, 'playIntervalsEnd');
}
BingoBroker.prototype.playIntervalsEnd = function()
{
  ;
  if (this.bingoController)
    this.bingoController.shouldPlayIntervalsEnd();
  else
    this.doPlayIntervalsEnd();
}
