/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Browser</DEPENDS>
</DEPENDENCIES>
*/
function QeaTextAnswerDisplay(sId, sWidgetDomId)
{
  if (sId) { this.init(sId, sWidgetDomId); }
}
QeaTextAnswerDisplay.prototype.init = function(sId, sWidgetDomId)
{
  ;
  this.sId = sId;
  this.sWidgetDomId = sWidgetDomId;
  this.displayElement = Browser.getElementById(this.sWidgetDomId);
  this.modelItem = null;
  if(!this.displayElement)
  {
    ;
  }
}
QeaTextAnswerDisplay.prototype.start = function()
{
  ;
}
QeaTextAnswerDisplay.prototype.getId = function()
{
  return this.sId;
}
QeaTextAnswerDisplay.prototype.setModelItem = function(modelItem)
{
  ;
  this.modelItem = modelItem;
}
QeaTextAnswerDisplay.prototype.getModelItem = function()
{
  return this.modelItem;
}
QeaTextAnswerDisplay.prototype.writeAnswerText = function(answer)
{
  ;
  if(answer.getText)
  {
    var text = answer.getText();
    if(this.displayElement)
    {
      this.displayElement.innerHTML = text;
    }
    else
    {
      ;
    }
  }
  else
  {
    ;
  }
}
QeaTextAnswerDisplay.prototype.changed = function(model)
{
  ;
  var nCount = model.countActiveEvaluations();
  if (nCount == 1)
  {
    switch (model.getEvaluation().getOrigin())
    {
      case 'user':
        this.writeAnswerText(model.getEvaluation().getAnswer());
        break;
      case 'system_setpartial':
        this.writeAnswerText(model.getEvaluation().getAnswer());
        break;
      case 'system_set':
        this.writeAnswerText(model.getEvaluation().getAnswer());
        break;
      case 'system_approve':
        this.writeAnswerText(model.getEvaluation().getAnswer());
        break;
      case 'system_brand':
        this.writeAnswerText(model.getEvaluation().getAnswer());
        break;
    }
  }
  else
  {
    ;
  }
}
