/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>WorkItem</DEPENDS>
    <DEPENDS>ExerciseHandlerStatus</DEPENDS>
</DEPENDENCIES>
*/
ChoiceWorkItem.prototype             = new WorkItem();
ChoiceWorkItem.prototype.constructor = ChoiceWorkItem;
ChoiceWorkItem.superclass            = WorkItem.prototype;
function ChoiceWorkItem(sId, bSingleChoice) 
{
  this.init(sId, bSingleChoice)
}
ChoiceWorkItem.prototype.init = function(sId, bSingleChoice)
{
  ;
  ChoiceWorkItem.superclass.init.call(this, sId);
  this.bSingleChoice = bSingleChoice;
}
ChoiceWorkItem.prototype.onRegisterValueItem = function(valueItem)
{
  ;
}
ChoiceWorkItem.prototype.getExerciseStatus = function()
{
  ;
  var nCorrect = 0;
  var nWrong = 0;
  var nCorrectStatus = 0;
  var nWrongStatus = 0;
  var nCorrectSystem = 0;
  var nWrongSystem = 0;
  for (var id in this.aValues)
  {
    var valueItem = this.aValues[id];
    if (valueItem != null)
    {
      if (valueItem.getSolution())
      {
        nCorrect++;
      }
      else
      {
        nWrong++;
      }
      if (valueItem.hasContribution())
      {
        if (valueItem.getSolution())
        {
          if (valueItem.getValue()) nCorrectStatus++;
          if (valueItem.hasSystemContribution()) nCorrectSystem++;
        }
        else
        {
          if (valueItem.getValue()) nWrongStatus++;
          if (valueItem.hasSystemContribution()) nWrongSystem++;
        }
      }
    }
  }
  return new ExerciseHandlerStatus(nCorrect, nWrong, nCorrectStatus, nWrongStatus, nCorrectSystem, nWrongSystem);
}
ChoiceWorkItem.prototype.changed = function(valueItem)
{
  ;
  if (this.bSingleChoice && valueItem.getValue())
  {
    var sOrigin = valueItem.getOrigin();
    ;
    for (var id in this.aValues)
    {
      if (valueItem != this.aValues[id])
      {
        if (sOrigin == 'user')
        {
          this.aValues[id].setValueByUser(false);
        }
        else if (sOrigin == 'system')
        {
          this.aValues[id].setValueBySystem(false);
        }
      }
    }
  }
  ChoiceWorkItem.superclass.changed.call(this, valueItem);
}
