/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
    <DEPENDS>Action</DEPENDS>
</DEPENDENCIES>
*/
DialogStoryBroker.prototype             = new Broker();
DialogStoryBroker.prototype.constructor = DialogStoryBroker;
DialogStoryBroker.superclass            = Broker.prototype;
function DialogStoryBroker(sId)
{
  if (sId) { this.init(sId); }
}
DialogStoryBroker.prototype.init = function(sId)
{
  ;
  this.sId = sId;
  this.dialogstoryController = null;
  DialogStoryBroker.superclass.init.call(this, sId);
}
DialogStoryBroker.prototype.setDialogStoryController = function(dialogstoryController)
{
  this.dialogstoryController = dialogstoryController;
}
DialogStoryBroker.prototype.doRequestStart = function()
{
  this.getMessage('requestStart');
}
DialogStoryBroker.prototype.addRequestStartHandle = function(action)
{
  this.registerAction('requestStart', action);
}
DialogStoryBroker.prototype.getRequestStartAction = function(action)
{
  return new ObjectMethodAction(this, 'requestStart');
}
DialogStoryBroker.prototype.requestStart = function()
{
  ;
  if (this.dialogstoryController)
    this.dialogstoryController.shouldRequestStart();
  else
    this.doRequestStart();
}
DialogStoryBroker.prototype.doRequestStop = function()
{
  this.getMessage('requestStop');
}
DialogStoryBroker.prototype.addRequestStopHandle = function(action)
{
  this.registerAction('requestStop', action);
}
DialogStoryBroker.prototype.getRequestStopAction = function(action)
{
  return new ObjectMethodAction(this, 'requestStop');
}
DialogStoryBroker.prototype.requestStop = function()
{
  ;
  if (this.dialogstoryController)
    this.dialogstoryController.shouldRequestStop();
  else
    this.doRequestStop();
}
DialogStoryBroker.prototype.doRequestContinue = function()
{
  this.getMessage('requestContinue');
}
DialogStoryBroker.prototype.addRequestContinueHandle = function(action)
{
  this.registerAction('requestContinue', action);
}
DialogStoryBroker.prototype.getRequestContinueAction = function(action)
{
  return new ObjectMethodAction(this, 'requestContinue');
}
DialogStoryBroker.prototype.requestContinue = function()
{
  ;
  if (this.dialogstoryController)
    this.dialogstoryController.shouldRequestContinue();
  else
    this.doRequestContinue();
}
DialogStoryBroker.prototype.doStarted = function()
{
  this.getMessage('started');
}
DialogStoryBroker.prototype.addStartedHandle = function(action)
{
  this.registerAction('started', action);
}
DialogStoryBroker.prototype.getStartedAction = function(action)
{
  return new ObjectMethodAction(this, 'started');
}
DialogStoryBroker.prototype.started = function()
{
  ;
  if (this.dialogstoryController)
    this.dialogstoryController.shouldStarted();
  else
    this.doStarted();
}
DialogStoryBroker.prototype.doStopped = function()
{
  this.getMessage('stopped');
}
DialogStoryBroker.prototype.addStoppedHandle = function(action)
{
  this.registerAction('stopped', action);
}
DialogStoryBroker.prototype.getStoppedAction = function(action)
{
  return new ObjectMethodAction(this, 'stopped');
}
DialogStoryBroker.prototype.stopped = function()
{
  ;
  if (this.dialogstoryController)
    this.dialogstoryController.shouldStopped();
  else
    this.doStopped();
}
DialogStoryBroker.prototype.doShowFeedback = function()
{
  this.getMessage('showFeedback');
}
DialogStoryBroker.prototype.addShowFeedbackHandle = function(action)
{
  this.registerAction('showFeedback', action);
}
DialogStoryBroker.prototype.getShowFeedbackAction = function(action)
{
  return new ObjectMethodAction(this, 'showFeedback');
}
DialogStoryBroker.prototype.showFeedback = function()
{
  ;
  if (this.dialogstoryController)
    this.dialogstoryController.shouldShowFeedback();
  else
    this.doShowFeedback();
}
DialogStoryBroker.prototype.doHideFeedback = function()
{
  this.getMessage('hideFeedback');
}
DialogStoryBroker.prototype.addHideFeedbackHandle = function(action)
{
  this.registerAction('hideFeedback', action);
}
DialogStoryBroker.prototype.getHideFeedbackAction = function(action)
{
  return new ObjectMethodAction(this, 'hideFeedback');
}
DialogStoryBroker.prototype.hideFeedback = function()
{
  ;
  if (this.dialogstoryController)
    this.dialogstoryController.shouldHideFeedback();
  else
    this.doHideFeedback();
}
