/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
    <DEPENDS>Action</DEPENDS>
</DEPENDENCIES>
*/
KeyboardBroker.prototype             = new Broker();
KeyboardBroker.prototype.constructor = KeyboardBroker;
KeyboardBroker.superclass            = Broker.prototype;
function KeyboardBroker(sId)
{
  if (sId) { this.init(sId); }
}
KeyboardBroker.prototype.init = function(sId)
{
  ;
  this.sId = sId;
  this.activate = false;
  this.ConversationController = null;
  KeyboardBroker.superclass.init.call(this, sId);
}
KeyboardBroker.prototype.setConversationController = function(ConversationController)
{
  this.ConversationController = ConversationController;
}
KeyboardBroker.prototype.doSendChar = function(sChar)
{
  ;
  var paramArray = new Array();
  paramArray.push(sChar);
  this.getMessage('sendChar', paramArray);
}
KeyboardBroker.prototype.addSendCharHandle = function(action)
{
  this.registerAction('sendChar', action);
  this.activate = true;
}
KeyboardBroker.prototype.getSendCharAction = function(sChar)
{
  return new ObjectMethodAction(this, 'sendChar', sChar);
}
KeyboardBroker.prototype.sendChar = function(sChar)
{
  ;
  this.doSendChar(sChar);
}
KeyboardBroker.prototype.doGotFocus = function(sChar)
{
  ;
  var paramArray = new Array();
  paramArray.push(sChar);
  this.getMessage('gotFocus', paramArray);
}
KeyboardBroker.prototype.addGotFocusHandle = function(action)
{
  this.registerAction('gotFocus', action);
}
KeyboardBroker.prototype.getGotFocusAction = function(sChar)
{
  return new ObjectMethodAction(this, 'gotFocus', sChar);
}
KeyboardBroker.prototype.gotFocus = function(sChar)
{
  ;
  this.doGotFocus(sChar);
}
KeyboardBroker.prototype.doActivateKeyboard = function()
{
  ;
    this.getMessage("activateKeyboard");
}
KeyboardBroker.prototype.addActivateKeyboardHandle = function(action)
{
    this.registerAction("activateKeyboard", action);
}
KeyboardBroker.prototype.getActivateKeyboardAction = function(action)
{
    return new ObjectMethodAction(this, "activateKeyboard");
}
KeyboardBroker.prototype.activateKeyboard = function()
{
    ;
    this.doActivateKeyboard();
}
KeyboardBroker.prototype.doDeactivateKeyboard = function()
{
  ;
  this.getMessage("deactivateKeyboard");
}
KeyboardBroker.prototype.addDeactivateKeyboardHandle = function(action)
{
    this.registerAction("deactivateKeyboard", action);
}
KeyboardBroker.prototype.getDeactivateKeyboardAction = function(action)
{
    return new ObjectMethodAction(this, "deactivateKeyboard");
}
KeyboardBroker.prototype.deactivateKeyboard = function()
{
    ;
    this.doDeactivateKeyboard();
}
