/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
</DEPENDENCIES>
*/
ScrollBroker.prototype             = new Broker();
ScrollBroker.prototype.constructor = ScrollBroker;
ScrollBroker.superclass            = Broker.prototype;
function ScrollBroker()
{
	;
	this.scrollController = null;
 	ScrollBroker.superclass.init.call(this, "ScrollBroker");
}
ScrollBroker.prototype.verbose = function(level, str)
{
    ;
} 
ScrollBroker.prototype.setScrollController = function(scrollController)
{	
	this.scrollController = scrollController;
}
ScrollBroker.prototype.doBeginScrollDown = function()
{	
    this.getMessage("beginScrollDown");
}
ScrollBroker.prototype.addBeginScrollDownHandle = function(action)
{
	this.registerAction("beginScrollDown", action);
}
ScrollBroker.prototype.getBeginScrollDownAction = function()
{
	return new ObjectMethodAction(this, "beginScrollDown");
}
ScrollBroker.prototype.beginScrollDown = function()
{	
	if (this.tipController)
		this.tipController.shouldBeginScrollDown();		
	else
		this.doBeginScrollDown();
}
ScrollBroker.prototype.doEndScrollDown = function()
{	
    this.getMessage("endScrollDown");
}
ScrollBroker.prototype.addEndScrollDownHandle = function(action)
{
	this.registerAction("endScrollDown", action);
}
ScrollBroker.prototype.getEndScrollDownAction = function()
{
	return new ObjectMethodAction(this, "endScrollDown");
}
ScrollBroker.prototype.endScrollDown = function()
{	
	if (this.tipController)
		this.tipController.shouldEndScrollDown();		
	else
		this.doEndScrollDown();
}
ScrollBroker.prototype.doBeginScrollUp = function()
{	
    this.getMessage("beginScrollUp");
}
ScrollBroker.prototype.addBeginScrollUpHandle = function(action)
{
	this.registerAction("beginScrollUp", action);
}
ScrollBroker.prototype.getBeginScrollUpAction = function()
{
	return new ObjectMethodAction(this, "beginScrollUp");
}
ScrollBroker.prototype.beginScrollUp = function()
{	
	if (this.tipController)
		this.tipController.shouldBeginScrollUp();		
	else
		this.doBeginScrollUp();
}
ScrollBroker.prototype.doEndScrollUp = function()
{	
    this.getMessage("endScrollUp");
}
ScrollBroker.prototype.addEndScrollUpHandle = function(action)
{
	this.registerAction("endScrollUp", action);
}
ScrollBroker.prototype.getEndScrollUpAction = function()
{
	return new ObjectMethodAction(this, "endScrollUp");
}
ScrollBroker.prototype.endScrollUp = function()
{	
	if (this.tipController)
		this.tipController.shouldEndScrollUp();		
	else
		this.doEndScrollUp();
}
SoundBroker.prototype.doScrollToDomId = function(domId)
{	
    if (domId == undefined)
	    ;
	else
	{
	    this.getMessage("scrollToDomId", [domId]);
	}
}
SoundBroker.prototype.addScrollToDomIdHandle = function(action)
{
	this.registerAction("scrollToDomId", action);
}
SoundBroker.prototype.getScrollToDomIdAction = function(domId)
{
	return new ObjectMethodAction(this, "scrollToDomId", domId);
}
SoundBroker.prototype.scrollToDomId = function(domId)
{	
	if (this.tipController)
		this.tipController.shouldScrollToDomId(domId);		
	else
		this.doScrollToDomId(domId);
}
SoundBroker.prototype.doScrollToDomletCtr = function(domId)
{
    if (domId == undefined)
	    ;
	else
	{
	    this.getMessage("scrollToDomletCtr", [domId]);
	}
}
SoundBroker.prototype.addScrollToDomletCtrHandle = function(action)
{
	this.registerAction("scrollToDomletCtr", action);
}
SoundBroker.prototype.getScrollToDomletCtrAction = function(domId)
{
	return new ObjectMethodAction(this, "scrollToDomletCtr", domId);
}
SoundBroker.prototype.scrollToDomletCtr = function(domId)
{
	if (this.tipController)
		this.tipController.shouldScrollToDomletCtr(domId);
	else
		this.doScrollToDomletCtr(domId);
}
