/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
</DEPENDENCIES>
*/
SoundBroker.prototype             = new Broker();
SoundBroker.prototype.constructor = SoundBroker;
SoundBroker.superclass            = Broker.prototype;
function SoundBroker()
{
	;
	this.soundController = null;
 	SoundBroker.superclass.init.call(this, "SoundBroker");
}
SoundBroker.prototype.setSoundController = function(soundController)
{
	this.soundController = soundController;
}
SoundBroker.prototype.doSoundStarted = function()
{
    ;
    this.getMessage("soundStarted");
}
SoundBroker.prototype.addSoundStartedHandle = function(action)
{
	this.registerAction("soundStarted", action);
}
SoundBroker.prototype.getSoundStartedAction = function()
{
	return new ObjectMethodAction(this, "soundStarted");
}
SoundBroker.prototype.soundStarted = function()
{
	if (this.tipController)
		this.tipController.shouldSoundStarted();
	else
		this.doSoundStarted();
}
SoundBroker.prototype.doSoundStopped = function()
{
	;
	this.getMessage("soundStopped");
}
SoundBroker.prototype.addSoundStoppedHandle = function(action)
{
	this.registerAction("soundStopped", action);
}
SoundBroker.prototype.getSoundStoppedAction = function()
{
	return new ObjectMethodAction(this, "soundStopped");
}
SoundBroker.prototype.soundStopped = function()
{
	if (this.tipController)
		this.tipController.shouldSoundStopped();
	else
		this.doSoundStopped();
}
SoundBroker.prototype.doSoundPaused = function()
{
	this.getMessage("soundPaused");
}
SoundBroker.prototype.addSoundPausedHandle = function(action)
{
	this.registerAction("soundPaused", action);
}
SoundBroker.prototype.getSoundPausedAction = function()
{
	return new ObjectMethodAction(this, "soundPaused");
}
SoundBroker.prototype.soundPaused = function()
{
	if (this.tipController)
		this.tipController.shouldSoundPaused();
	else
		this.doSoundPaused();
}
SoundBroker.prototype.doRequestSoundStart = function()
{
	this.getMessage("requestSoundStart");
}
SoundBroker.prototype.addRequestSoundStartHandle = function(action)
{
	this.registerAction("requestSoundStart", action);
}
SoundBroker.prototype.getRequestSoundStartAction = function()
{
	return new ObjectMethodAction(this, "requestSoundStart");
}
SoundBroker.prototype.requestSoundStart = function()
{
	if (this.tipController)
		this.tipController.shouldRequestSoundStart();
	else
		this.doRequestSoundStart();
}
SoundBroker.prototype.doRequestSoundStop = function()
{
	this.getMessage("requestSoundStop");
}
SoundBroker.prototype.addRequestSoundStopHandle = function(action)
{
	this.registerAction("requestSoundStop", action);
}
SoundBroker.prototype.getRequestSoundStopAction = function()
{
	return new ObjectMethodAction(this, "requestSoundStop");
}
SoundBroker.prototype.requestSoundStop = function()
{
	if (this.tipController)
		this.tipController.shouldRequestSoundStop();
	else
		this.doRequestSoundStop();
}
SoundBroker.prototype.doRequestSoundPause = function()
{
	this.getMessage("requestSoundPause");
}
SoundBroker.prototype.addRequestSoundPauseHandle = function(action)
{
	this.registerAction("requestSoundPause", action);
}
SoundBroker.prototype.getRequestSoundPauseAction = function()
{
	return new ObjectMethodAction(this, "requestSoundPause");
}
SoundBroker.prototype.requestSoundPause = function()
{
	if (this.tipController)
		this.tipController.shouldRequestSoundPause();
	else
		this.doRequestSoundPause();
}
SoundBroker.prototype.doPercentageIntervalReached = function(percentage)
{
    if (percentage == undefined)
	    this.getMessage("percentageIntervalReached");
	else
	{
	    var percentageArray = new Array();
	    percentageArray[0] = percentage;
	    this.getMessage("percentageIntervalReached", percentageArray);
	}
}
SoundBroker.prototype.addPercentageIntervalReachedHandle = function(action)
{
	this.registerAction("percentageIntervalReached", action);
}
SoundBroker.prototype.getPercentageIntervalReachedAction = function(percentage)
{
	return new ObjectMethodAction(this, "percentageIntervalReached", percentage);
}
SoundBroker.prototype.percentageIntervalReached = function(percentage)
{
	if (this.tipController)
		this.tipController.shouldPercentageIntervalReached(percentage);
	else
		this.doPercentageIntervalReached(percentage);
}
SoundBroker.prototype.doAbsoluteIntervalReached = function(percentage)
{
    if (percentage == undefined)
	    this.getMessage("absoluteIntervalReached");
	else
	{
	    var percentageArray = new Array();
	    percentageArray[0] = percentage;
	    this.getMessage("absoluteIntervalReached", percentageArray);
	}
}
SoundBroker.prototype.addAbsoluteIntervalReachedHandle = function(action)
{
	this.registerAction("absoluteIntervalReached", action);
}
SoundBroker.prototype.getAbsoluteIntervalReachedAction = function(percentage)
{
	return new ObjectMethodAction(this, "absoluteIntervalReached", percentage);
}
SoundBroker.prototype.absoluteIntervalReached = function(percentage)
{
	if (this.tipController)
		this.tipController.shouldAbsoluteIntervalReached(percentage);
	else
		this.doAbsoluteIntervalReached(percentage);
}
SoundBroker.prototype.doSetTimePositionAbsolute = function(millis)
{
    if (millis == undefined)
	    this.getMessage("setTimePositionAbsolute");
	else
	{
	    var millisArray = new Array();
	    millisArray[0] = millis;
	    this.getMessage("setTimePositionAbsolute", millisArray);
	}
}
SoundBroker.prototype.addSetTimePositionAbsoluteHandle = function(action)
{
	this.registerAction("setTimePositionAbsolute", action);
}
SoundBroker.prototype.getSetTimePositionAbsoluteAction = function(millis)
{
	return new ObjectMethodAction(this, "setTimePositionAbsolute", millis);
}
SoundBroker.prototype.setTimePositionAbsolute = function(millis)
{
	if (this.tipController)
		this.tipController.shouldSetTimePositionAbsolute(millis);
	else
		this.doSetTimePositionAbsolute(millis);
}
SoundBroker.prototype.doRequestSoundForward = function()
{
	 this.getMessage("requestSoundForward");
}
SoundBroker.prototype.addRequestSoundForwardHandle = function(action)
{
	this.registerAction("requestSoundForward", action);
}
SoundBroker.prototype.getRequestSoundForwardAction = function()
{
	return new ObjectMethodAction(this, "requestSoundForward");
}
SoundBroker.prototype.requestSoundForward = function()
{
	this.doRequestSoundForward();
}
SoundBroker.prototype.doRequestSoundRewind= function()
{
    this.getMessage("requestSoundRewind");
}
SoundBroker.prototype.addRequestSoundRewindHandle = function(action)
{
	this.registerAction("requestSoundRewind", action);
}
SoundBroker.prototype.getRequestSoundRewindAction = function()
{
	return new ObjectMethodAction(this, "requestSoundRewind");
}
SoundBroker.prototype.requestSoundRewind = function(millis)
{
	this.doRequestSoundRewind();
}
