/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>ValueItem</DEPENDS>
</DEPENDENCIES>
*/
ChoiceValueItem.prototype             = new ValueItem();
ChoiceValueItem.prototype.constructor = ChoiceValueItem;
ChoiceValueItem.superclass            = ValueItem.prototype;
function ChoiceValueItem(sId, bSolution) 
{
	this.init(sId, bSolution);
}
ChoiceValueItem.prototype.init = function(sId, bSolution)
{
  ;
  ChoiceValueItem.superclass.init.call(this, sId);
  this.bSolution = bSolution; 
  this.bValue = false; 
  this.bSystemContributed = false; 
}
ChoiceValueItem.prototype.toString = function()
{
  var s = 'ChoiceValueItem' + 
          ' id=' + this.sId + 
          ' value=' + this.getValue() + 
          ' origin=' + this.getOrigin() + 
          ' solved=' + (this.getValue() == this.getSolution()) + 
          ' ';
  return s;
}
ChoiceValueItem.prototype.getSolution = function()
{
	return this.bSolution;	
}
ChoiceValueItem.prototype.getValue = function()
{
	return this.bValue;	
}
ChoiceValueItem.prototype.hasSystemContribution = function()
{
  return this.bSystemContributed; 
}
ChoiceValueItem.prototype.setValueByUser = function(bNewValue)
{
  ;
	
	var bOldValue = this.bValue;
	var sOldOrigin = this.sOrigin;
	this.bValue = bNewValue;
	this.sOrigin = 'user';
	
	this.bUserContributed = true;
	if (bOldValue != bNewValue || sOldOrigin != this.sOrigin)
	{
    this.onChangedByUser();
	}
}
ChoiceValueItem.prototype.setValueBySystem = function(bNewValue)
{
  ;
	
	var bOldValue = this.bValue;
	var sOldOrigin = this.sOrigin;
	this.bValue = bNewValue;
	this.sOrigin = 'system';
	this.bSystemContributed = true;
	
	if (bOldValue != bNewValue || sOldOrigin != this.sOrigin)
	{
    this.onChangedBySystem();
	}
}
