/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
function LSTrace(sId, sIdentifier) 
{
  if (sId) { this.init(sId, sIdentifier); }
}
LSTrace.prototype.init = function(sId, sIdentifier)
{
  ;
  this.sId = sId;
  this.sIdentifier = sIdentifier;
  this.manager = null;
  this.status = null;
}
LSTrace.prototype.reset = function()
{
  this.status = null;
}
LSTrace.prototype.getId = function()
{
  return this.sId;
}
LSTrace.prototype.setAchievementManager = function(manager)
{
	this.manager = manager;
}
LSTrace.prototype.solvedStatus = function(exerciseManagerStatus)
{
  ;
  this.status = exerciseManagerStatus;
}
LSTrace.prototype.commitStatus = function()
{
  ;
  if(this.status)
  {
    this.manager.sendTraceResultData(null, this.sIdentifier, this.status.nTouched,
    this.status.nTotal, this.status.nCorrect, this.status.nWrong,
    this.status.nCorrectStatus, this.status.nWrongStatus,
    this.status.nCorrectSystem, this.status.nWrongSystem
    );
    this.reset();
  }
}
LSTrace.prototype.getSolvedStatusAction = function()
{
    return new ObjectMethodAction(this, "solvedStatus");
}
LSTrace.prototype.getCommitStatusAction = function()
{
    return new ObjectMethodAction(this, "commitStatus");
}
LSTrace.prototype.getCommitStatusTrackAction = function()
{
    return new ObjectMethodAction(this, "commitStatusTrack");
}
LSTrace.prototype.commitStatusTrack = function()
{
  ;
  if(this.status)
  {
    this.manager.sendTrackResultData(null, this.sIdentifier, this.status.nTouched,
						this.status.nTotal, this.status.nCorrect, this.status.nWrong,
						this.status.nCorrectStatus, this.status.nWrongStatus,
						this.status.nCorrectSystem, this.status.nWrongSystem
				);
	  this.reset();
  }
}
