/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>WorkItem</DEPENDS>
    <DEPENDS>ExerciseHandlerStatus</DEPENDS>
</DEPENDENCIES>
*/
MatcherWorkItem.prototype             = new WorkItem();
MatcherWorkItem.prototype.constructor = MatcherWorkItem;
MatcherWorkItem.superclass            = WorkItem.prototype;
function MatcherWorkItem(sId) 
{
    this.init(sId)
}
MatcherWorkItem.prototype.init = function(sId)
{
  ;
  MatcherWorkItem.superclass.init.call(this, sId);
  this.aOptions = new Array();
  this.nOptions = 0;
}
MatcherWorkItem.prototype.onRegisterValueItem = function(valueItem)
{
  ;
}
MatcherWorkItem.prototype.registerOptionItem = function(optionItem)
{
  ;
  if (this.aOptions[optionItem.getId()] != null)
  {
    ;
  }
  else
  {
    ;
    this.aOptions[optionItem.getId()] = optionItem;
    this.nOptions++;
    optionItem.setWorkItem(this);
  }
}
MatcherWorkItem.prototype.start = function()
{
  ;
}
MatcherWorkItem.prototype.countOptions = function()
{
  //;
  return this.nOptions;
}
MatcherWorkItem.prototype.countCorrectAssigedValues = function()
{
  ;
  var nCnt = 0;
  for (var id in this.aValues)
  {
    if (this.aValues[id].isSolved() && this.aValues[id].getValue() != '')
    {
      nCnt++;
    }
  }
  return nCnt;
}
MatcherWorkItem.prototype.hasTip = function(bStepByStep, bSolutable)
{
  ;
  var bHasTip = this.hasShowTip(bStepByStep, bSolutable, false);
  if (!bHasTip) {
    ;
  }
  return bHasTip;
}
MatcherWorkItem.prototype.showTip = function(bStepByStep, bSolutable)
{
  ;
  var bHasTip = this.hasShowTip(bStepByStep, bSolutable, true);
  if (!bHasTip) {
    ;
  }
}
MatcherWorkItem.prototype.hasShowTip = function(bStepByStep, bSolutable, bShow)
{
  ;
  var bHasTip = false;
  this.createStrategyItemIdEnumeration() 
  for (var i = 0; i < this.aTipStrategyIds.length; i++)
  {
    var tipStrategy = this.aTipStrategies[ this.aTipStrategyIds[i] ];
    if (tipStrategy != null)
    {
      ;
      var bSpareOne = !bSolutable;
      if (bSpareOne)
      {
        ;
        for (var j = i+1; j < this.aTipStrategyIds.length; j++)
        {
          ;
          if (this.aTipStrategies[ this.aTipStrategyIds[j] ].hasTip(bStepByStep, true))
          {
            ;
            bSpareOne = false;
            break;
          }
        }
        if (!bSpareOne)
        {
          ;
        }
      }
      if (tipStrategy.hasTip(bStepByStep, !bSpareOne))
      {
        ;
        bHasTip = true;
        if (bShow)
        {
          tipStrategy.showTip(bStepByStep, !bSpareOne);
        }
        break;
      }
    }
  }
  return bHasTip;
}
MatcherWorkItem.prototype.getExerciseStatus = function()
{
  ;
  var nCorrect = this.nValues;
  var nWrong = this.nValues;
  var nCorrectStatus = 0;
  var nWrongStatus = 0;
  var nCorrectSystem = 0;
  var nWrongSystem = 0;
  for (var id in this.aValues)
  {
    var value = this.aValues[id];
    if (value.isSolved())
    {
      nCorrectStatus++;
    }
    else
    {
      nWrongStatus++;
    }
    if (value.hasConstructiveSystemContribution())
    {
      nCorrectSystem++;
    }
    if (value.hasCorrectiveSystemContribution())
    {
      nWrongSystem++;
    }
  }
  return new ExerciseHandlerStatus(nCorrect, nWrong, nCorrectStatus, nWrongStatus, nCorrectSystem, nWrongSystem);
}
