/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
</DEPENDENCIES>
*/
PagingBroker.prototype             = new Broker();
PagingBroker.prototype.constructor = PagingBroker;
PagingBroker.superclass            = Broker.prototype;
function PagingBroker(sId)
{
  if (sId) { this.init(sId); }
}
PagingBroker.prototype.init = function(sId)
{
  ;
  this.sId = sId;
  this.pagingController = null;
  PagingBroker.superclass.init.call(this, sId);
}
PagingBroker.prototype.setPagingController = function(pagingController)
{
  this.pagingController = pagingController;
}
PagingBroker.prototype.doPrevious = function()
{
  this.getMessage('previous');
}
PagingBroker.prototype.addPreviousHandle = function(action)
{
  this.registerAction('previous', action);
}
PagingBroker.prototype.getPreviousAction = function(action)
{
  return new ObjectMethodAction(this, 'previous');
}
PagingBroker.prototype.previous = function()
{
  ;
  if (this.pagingController)
    this.pagingController.shouldPrevious();
  else
    this.doPrevious();
}
PagingBroker.prototype.doNext = function()
{
  this.getMessage('next');
}
PagingBroker.prototype.addNextHandle = function(action)
{
  this.registerAction('next', action);
}
PagingBroker.prototype.getNextAction = function(action)
{
  return new ObjectMethodAction(this, 'next');
}
PagingBroker.prototype.next = function()
{
  ;
  if (this.pagingController)
    this.pagingController.shouldNext();
  else
    this.doNext();
}
PagingBroker.prototype.doJumpTo = function(nIndex)
{
  var paramArray = new Array();
  paramArray[0] = nIndex;
  this.getMessage('jumpTo', paramArray);
}
PagingBroker.prototype.addJumpToHandle = function(action)
{
  this.registerAction('jumpTo', action);
}
PagingBroker.prototype.getJumpToAction = function(nIndex)
{
  return new ObjectMethodAction(this, 'jumpTo', nIndex);
}
PagingBroker.prototype.jumpTo = function(nIndex)
{
  ;
  if (this.pagingController)
    this.pagingController.shouldJumpTo(nIndex);
  else
    this.doJumpTo(nIndex);
}
PagingBroker.prototype.doTurnedTo = function(nIndex)
{
  var paramArray = new Array();
  paramArray[0] = nIndex;
  this.getMessage('turnedTo', paramArray);
}
PagingBroker.prototype.addTurnedToHandle = function(action)
{
  this.registerAction('turnedTo', action);
}
PagingBroker.prototype.getTurnedToAction = function(nIndex)
{
  return new ObjectMethodAction(this, 'turnedTo', nIndex);
}
PagingBroker.prototype.turnedTo = function(nIndex)
{
  ;
  if (this.pagingController)
    this.pagingController.shouldTurnedTo(nIndex);
  else
    this.doTurnedTo(nIndex);
}
PagingBroker.prototype.doTurnedAway = function(nIndex)
{
  var paramArray = new Array();
  paramArray[0] = nIndex;
  this.getMessage('turnedAway', paramArray);
}
PagingBroker.prototype.addTurnedAwayHandle = function(action)
{
  this.registerAction('turnedAway', action);
}
PagingBroker.prototype.getTurnedAwayAction = function(nIndex)
{
  return new ObjectMethodAction(this, 'turnedAway', nIndex);
}
PagingBroker.prototype.turnedAway = function(nIndex)
{
  ;
  if (this.pagingController)
    this.pagingController.shouldTurnedAway(nIndex);
  else
    this.doTurnedAway(nIndex);
}
PagingBroker.prototype.doReachedLast = function()
{
  this.getMessage('reachedLast');
}
PagingBroker.prototype.addReachedLastHandle = function(action)
{
  this.registerAction('reachedLast', action);
}
PagingBroker.prototype.getReachedLastAction = function(action)
{
  return new ObjectMethodAction(this, 'reachedLast');
}
PagingBroker.prototype.reachedLast = function()
{
  ;
  if (this.pagingController)
    this.pagingController.shouldReachedLast();
  else
    this.doReachedLast();
}
PagingBroker.prototype.doNotLast = function()
{
  this.getMessage('notLast');
}
PagingBroker.prototype.addNotLastHandle = function(action)
{
  this.registerAction('notLast', action);
}
PagingBroker.prototype.getNotLastAction = function(action)
{
  return new ObjectMethodAction(this, 'notLast');
}
PagingBroker.prototype.notLast = function()
{
  ;
  if (this.pagingController)
    this.pagingController.shouldNotLast();
  else
    this.doNotLast();
}
PagingBroker.prototype.doReachedFirst = function()
{
  this.getMessage('reachedFirst');
}
PagingBroker.prototype.addReachedFirstHandle = function(action)
{
  this.registerAction('reachedFirst', action);
}
PagingBroker.prototype.getReachedFirstAction = function(action)
{
  return new ObjectMethodAction(this, 'reachedFirst');
}
PagingBroker.prototype.reachedFirst = function()
{
  ;
  if (this.pagingController)
    this.pagingController.shouldReachedFirst();
  else
    this.doReachedFirst();
}
PagingBroker.prototype.doNotFirst = function()
{
  this.getMessage('notFirst');
}
PagingBroker.prototype.addNotFirstHandle = function(action)
{
  this.registerAction('notFirst', action);
}
PagingBroker.prototype.getNotFirstAction = function(action)
{
  return new ObjectMethodAction(this, 'notFirst');
}
PagingBroker.prototype.notFirst = function()
{
  ;
  if (this.pagingController)
    this.pagingController.shouldNotFirst();
  else
    this.doNotFirst();
}
