/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
WorkItemBroker.prototype             = new Broker();
WorkItemBroker.prototype.constructor = WorkItemBroker;
WorkItemBroker.superclass            = Broker.prototype;
function WorkItemBroker(name)
{
  this.name = name;
  ;
  this.workItemController = null;
  WorkItemBroker.superclass.init.call(this, name);
}
WorkItemBroker.prototype.setWorkItemController = function(workItemController)
{
    this.workItemController = workItemController;
}
WorkItemBroker.prototype.doWorkAborted = function()
{
    ;
    this.getMessage("workAborted");
}
WorkItemBroker.prototype.addWorkAbortedHandle = function(action)
{
    this.registerAction("workAborted", action);
}
WorkItemBroker.prototype.getWorkAbortedAction = function(action)
{
    return new ObjectMethodAction(this, "workAborted");
}
WorkItemBroker.prototype.workAborted = function()
{
    if (this.workItemController)
        this.workItemController.shouldWorkAborted();
    else
        this.doWorkAborted();
}
WorkItemBroker.prototype.doHelpApplied = function()
{
    ;
    this.getMessage("helpApplied");
}
WorkItemBroker.prototype.addHelpAppliedHandle = function(action)
{
    this.registerAction("helpApplied", action);
}
WorkItemBroker.prototype.getHelpAppliedAction = function(action)
{
    return new ObjectMethodAction(this, "helpApplied");
}
WorkItemBroker.prototype.helpApplied = function()
{
    if (this.workItemController)
        this.workItemController.shouldHelpApplied();
    else
        this.doHelpApplied();
}
WorkItemBroker.prototype.doWorkStarted = function()
{
    ;
    this.getMessage("workStarted");
}
WorkItemBroker.prototype.addWorkStartedHandle = function(action)
{
    this.registerAction("workStarted", action);
}
WorkItemBroker.prototype.getWorkStartedAction = function(action)
{
    return new ObjectMethodAction(this, "workStarted");
}
WorkItemBroker.prototype.workStarted = function()
{
    if (this.workItemController)
        this.workItemController.shouldWorkStarted();
    else
        this.doWorkStarted();
}
WorkItemBroker.prototype.doSolved = function(para1, para2)
{
    ;
    ;
    var paramArray = [para1, para2];
    ;
    this.getMessage("solved", paramArray);
}
WorkItemBroker.prototype.addSolvedHandle = function(action)
{
    this.registerAction("solved", action);
}
WorkItemBroker.prototype.getSolvedAction = function(action)
{
    return new ObjectMethodAction(this, "solved");
}
WorkItemBroker.prototype.solved = function(para1, para2)
{
    if (this.workItemController)
        this.workItemController.shouldSolved(para1, para2);
    else
        this.doSolved(para1, para2);
}
WorkItemBroker.prototype.doWorkStopped = function()
{
    ;
    this.getMessage("workStopped");
}
WorkItemBroker.prototype.addWorkStoppedHandle = function(action)
{
    this.registerAction("workStopped", action);
}
WorkItemBroker.prototype.getWorkStoppedAction = function(action)
{
    return new ObjectMethodAction(this, "workStopped");
}
WorkItemBroker.prototype.workStopped = function()
{
    if (this.workItemController)
        this.workItemController.shouldWorkStopped();
    else
        this.doWorkStopped();
}
WorkItemBroker.prototype.doActivated = function()
{
    ;
    this.getMessage("activated");
}
WorkItemBroker.prototype.addActivatedHandle = function(action)
{
    this.registerAction("activated", action);
}
WorkItemBroker.prototype.getActivatedAction = function(action)
{
    return new ObjectMethodAction(this, "activated");
}
WorkItemBroker.prototype.activated = function()
{
    if (this.workItemController)
        this.workItemController.shouldActivated();
    else
        this.doActivated();
}
WorkItemBroker.prototype.doNoticed = function()
{
    ;
    this.getMessage("noticed");
}
WorkItemBroker.prototype.addNoticedHandle = function(action)
{
    this.registerAction("noticed", action);
}
WorkItemBroker.prototype.getNoticedAction = function(action)
{
    return new ObjectMethodAction(this, "noticed");
}
WorkItemBroker.prototype.noticed = function()
{
    if (this.workItemController)
        this.workItemController.shouldNoticed();
    else
        this.doNoticed();
}
WorkItemBroker.prototype.doEvaluate = function()
{
    ;
  this.getMessage("evaluate");
}
WorkItemBroker.prototype.addEvaluateHandle = function(action)
{
  this.registerAction("evaluate", action);
}
WorkItemBroker.prototype.getEvaluateAction = function()
{
  return new ObjectMethodAction(this, "evaluate");
}
WorkItemBroker.prototype.evaluate = function()
{
  if (this.workItemController)
  {
    this.workItemController.shouldEvaluate();
  }
  else
  {
    this.doEvaluate();
  }
}
WorkItemBroker.prototype.doReset = function()
{
    ;
  this.getMessage("reset");
}
WorkItemBroker.prototype.addResetHandle = function(action)
{
  this.registerAction("reset", action);
}
WorkItemBroker.prototype.getResetAction = function()
{
  return new ObjectMethodAction(this, "reset");
}
WorkItemBroker.prototype.reset = function()
{
  if (this.workItemController)
  {
    this.workItemController.shouldReset();
  }
  else
  {
    this.doReset();
  }
}
WorkItemBroker.prototype.doShowSolution = function()
{
    ;
  this.getMessage("showSolution");
}
WorkItemBroker.prototype.addShowSolutionHandle = function(action)
{
  this.registerAction("showSolution", action);
}
WorkItemBroker.prototype.getShowSolutionAction = function()
{
  return new ObjectMethodAction(this, "showSolution");
}
WorkItemBroker.prototype.showSolution = function()
{
  if (this.workItemController)
  {
    this.workItemController.shouldShowSolution();
  }
  else
  {
    this.doShowSolution();
  }
}
WorkItemBroker.prototype.doHideSolution = function()
{
    ;
  this.getMessage("hideSolution");
}
WorkItemBroker.prototype.addHideSolutionHandle = function(action)
{
  this.registerAction("hideSolution", action);
}
WorkItemBroker.prototype.getHideSolutionAction = function()
{
  return new ObjectMethodAction(this, "hideSolution");
}
WorkItemBroker.prototype.hideSolution = function()
{
  if (this.workItemController)
  {
    this.workItemController.shouldHideSolution();
  }
  else
  {
    this.doHideSolution();
  }
}
