/*
<DEPENDENCIES>
  <DEPENDS>Logger</DEPENDS>
  <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
function LinkInfo(cid, title, description, value)
{
	this.cid = cid;
	this.title = title;
	this.description = description;
	this.value = value;
}
LinkInfo.prototype.getId = function()
{
	return this.cid;
}
LinkInfo.prototype.getValue = function()
{
	return this.value;
}
LinkInfo.prototype.setValue = function(value)
{
	this.value = value;
}
function LinkParser()
{
	this.parserValues = new Array();
}
LinkParser.prototype.setParserValue = function(valuekey, value)
{
	this.parserValues[valuekey] = value;
}
LinkParser.prototype.parse = function(value)
{
	
	return value;
}
function LinkService(id)
{
	this.id = id;
	this.listener = new Array();
	this.initialized = false;
	this.links = new Array();
	this.parser = new LinkParser();
}
LinkService.prototype.start = function() {
	
	this.initialized = true;
	serviceregistry.registerService('linkservice', this);
	this.notifyListener();
}
LinkService.prototype.addLink = function(type, id, title, description, value)
{
	;
	var link = new LinkInfo(id, title, description, value);
	this.links[id] = link;
}
LinkService.prototype.setParserValue = function(valuekey, value) {
	this.parser.setParserValue(valuekey, value);
}
LinkService.prototype.getLink = function(id)
{
	;
	var link = this.links[id];
	if (link)
	{
		;
		return this.parser.parse(link.getValue());
	}
	return null;
}
LinkService.prototype.registerLoadedListener= function(action) {
	;
	return this.listener.push(action);
}
LinkService.prototype.notifyListener= function() {
	;
	for (var i = 0; i < this.listener.length; i++)
	{
		this.listener[i].invoke();
	}
}
LinkService.prototype.isInitialized = function() {
	return this.initialized;
}
