/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
</DEPENDENCIES>
*/
TipBroker.prototype = new Broker();
TipBroker.prototype.constructor = TipBroker;
TipBroker.superclass = Broker.prototype;
function TipBroker()
{
  ;
  this.tipController = null;
  TipBroker.superclass.init.call(this, "TipBroker");
}
TipBroker.prototype.setTipController = function( tipController )
{
  this.tipController = tipController;
}
TipBroker.prototype.doTipRequested = function()
{
  ;
  this.getMessage("tipRequested");
}
TipBroker.prototype.addTipRequestedHandle = function( action )
{
  this.registerAction("tipRequested", action);
}
TipBroker.prototype.getTipRequestedAction = function( action )
{
  return new ObjectMethodAction(this, "tipRequested");
}
TipBroker.prototype.tipRequested = function()
{
  if( this.tipController )
    this.tipController.shouldTipRequested();
  else
    this.doTipRequested();
}
TipBroker.prototype.doTipDisabled = function()
{
  ;
  this.getMessage("tipDisabled");
}
TipBroker.prototype.addTipDisabledHandle = function( action )
{
  this.registerAction("tipDisabled", action);
}
TipBroker.prototype.getTipDisabledAction = function( action )
{
  return new ObjectMethodAction(this, "tipDisabled");
}
TipBroker.prototype.tipDisabled = function()
{
  if( this.tipController )
    this.tipController.shouldTipDisabled();
  else
    this.doTipDisabled();
}
TipBroker.prototype.doTipEnabled = function()
{
  ;
  this.getMessage("tipEnabled");
}
TipBroker.prototype.addTipEnabledHandle = function( action )
{
  this.registerAction("tipEnabled", action);
}
TipBroker.prototype.getTipEnabledAction = function( action )
{
  return new ObjectMethodAction(this, "tipEnabled");
}
TipBroker.prototype.tipEnabled = function()
{
  if( this.tipController )
    this.tipController.shouldTipEnabled();
  else
    this.doTipEnabled();
}
TipBroker.prototype.doTipAvailable = function()
{
  ;
  this.getMessage("tipAvailable");
}
TipBroker.prototype.addTipAvailableHandle = function( action )
{
  this.registerAction("tipAvailable", action);
}
TipBroker.prototype.getTipAvailableAction = function( action )
{
  return new ObjectMethodAction(this, "tipAvailable");
}
TipBroker.prototype.tipAvailable = function()
{
  if( this.tipController )
    this.tipController.shouldTipAvailable();
  else
    this.doTipAvailable();
}
TipBroker.prototype.doTipUnavailable = function()
{
  ;
  this.getMessage("tipUnavailable");
}
TipBroker.prototype.addTipUnavailableHandle = function( action )
{
  this.registerAction("tipUnavailable", action);
}
TipBroker.prototype.getTipUnavailableAction = function( action )
{
  return new ObjectMethodAction(this, "tipUnavailable");
}
TipBroker.prototype.tipUnavailable = function()
{
  if( this.tipController )
    this.tipController.shouldTipUnavailable();
  else
    this.doTipUnavailable();
}
TipBroker.prototype.doShowSolution = function()
{
  ;
  this.getMessage("showSolution");
}
TipBroker.prototype.addShowSolutionHandle = function( action )
{
  this.registerAction("showSolution", action);
}
TipBroker.prototype.getShowSolutionAction = function()
{
  return new ObjectMethodAction(this, "showSolution");
}
TipBroker.prototype.showSolution = function()
{
  if( this.exerciseController )
  {
    this.exerciseController.shouldShowSolution();
  }
  else
  {
    this.doShowSolution();
  }
}
TipBroker.prototype.doHideSolution = function()
{
  ;
  this.getMessage("hideSolution");
}
TipBroker.prototype.addHideSolutionHandle = function( action )
{
  this.registerAction("hideSolution", action);
}
TipBroker.prototype.getHideSolutionAction = function()
{
  return new ObjectMethodAction(this, "hideSolution");
}
TipBroker.prototype.hideSolution = function()
{
  if( this.exerciseController )
  {
    this.exerciseController.shouldHideSolution();
  }
  else
  {
    this.doHideSolution();
  }
}
