/*
 <DEPENDENCIES>
	 <DEPENDS>Logger</DEPENDS>
	 <DEPENDS>Actions</DEPENDS>
	 <DEPENDS>Broker</DEPENDS>
 </DEPENDENCIES>
 */                                                                                                         
 ToggleDynamic.prototype             = new Broker();
 ToggleDynamic.prototype.constructor = ToggleDynamic;
 ToggleDynamic.superclass            = Broker.prototype;
function ToggleDynamic(sId, propertyKey, toggleOn)
{
	if (sId)
	{
		this.init(sId, propertyKey, toggleOn);
	}
}
ToggleDynamic.prototype.init = function(sId, propertyKey, toggleOn)
{
	this.sId = sId;
	this.propertyKey = propertyKey;
	this.toggleOn = toggleOn;
	this.setOnURL = "../storeproperty?PROPERTY=" + this.propertyKey + "&VALUE=true";
	this.setOffURL = "../storeproperty?PROPERTY=" + this.propertyKey + "&VALUE=false";
	ToggleDynamic.superclass.init.call(this, 'ToggleDynamic');
}
ToggleDynamic.prototype.start = function()
{
	
}
ToggleDynamic.prototype.getCheckAction = function()
{
	return new ObjectMethodAction(this, 'check');
}
ToggleDynamic.prototype.check = function()
{
	if (this.toggleOn)
		this.doToggleOn();
	else
		this.doToggleOff();
}
ToggleDynamic.prototype.addToggleOnHandle = function(action)
{
	this.registerAction('toggleOn', action);
}
ToggleDynamic.prototype.doToggleOn = function()
{
	this.getMessage('toggleOn');
}
ToggleDynamic.prototype.addToggleOffHandle = function(action)
{
	this.registerAction('toggleOff', action);
}
ToggleDynamic.prototype.doToggleOff = function()
{
	this.getMessage('toggleOff');
}
ToggleDynamic.prototype.setOn = function()
{
	if (this.toggleOn == false)
	{
		Browser.callURL(this.setOnURL);
		this.toggleOn = true;
	}
}
ToggleDynamic.prototype.isOn = function()
{
	return this.toggleOn;
}
ToggleDynamic.prototype.isOff = function()
{
	return !this.toggleOn;
}
ToggleDynamic.prototype.setOff = function()
{
	if (this.toggleOn == true)
	{
		Browser.callURL(this.setOffURL);
		this.toggleOn = false;
	}
}
ToggleDynamic.prototype.getSetOffAction = function()
{
	return new ObjectMethodAction(this, 'setOff');
}
ToggleDynamic.prototype.getSetOnAction = function()
{
	return new ObjectMethodAction(this, 'setOn');
}
