/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Browser</DEPENDS>
    <DEPENDS>ScreenBroker</DEPENDS>
</DEPENDENCIES>
*/
function ToggleManagerDynamic(sId, propertyKey, contentId, toggleOn)
{
  if (sId) { this.init(sId, propertyKey, contentId, toggleOn); }
}
ToggleManagerDynamic.prototype.init = function(sId, propertyKey, contentId, toggleOn)
{
	this.sId = sId;
    this.propertyKey = propertyKey;
    this.contentId = contentId;
    this.toggleOn = toggleOn;
}
ToggleManagerDynamic.prototype.setScreenBroker = function(broker)
{
	this.broker = broker;
}
ToggleManagerDynamic.prototype.setToggleVarOn= function(toggleOn)
{
	this.toggleOn = toggleOn;
}
ToggleManagerDynamic.prototype.registerToggleBroker = function(toggleBroker)
{
	this.toggleBroker = toggleBroker;
}
ToggleManagerDynamic.prototype.start = function()
{
    if (this.toggleBroker)
    {
		if (this.toggleOn)
		{
			this.toggleBroker.doIsToggleOn();
		}
		else
		{
			this.toggleBroker.doIsToggleOff();
		}
    }
}
ToggleManagerDynamic.prototype.getToggleOnAction = function()
{
	return new ObjectMethodAction(this, 'setToggleOn');
}
ToggleManagerDynamic.prototype.getToggleOffAction = function()
{
	return new ObjectMethodAction(this, 'setToggleOff');
}
ToggleManagerDynamic.prototype.setToggleOn = function()
{
	var extURL = "../singlemarker?ACTION=set&MARKER_TYPE=user&MARKER_ID="
			+ encodeURIComponent(this.propertyKey) +
            "&CONTENT=" + encodeURIComponent(this.contentId);
	Browser.callURL(extURL);
	this.broker.getReloadAction().invoke();
}
ToggleManagerDynamic.prototype.setToggleOff = function()
{
    var extURL = "../singlemarker?ACTION=delete&MARKER_TYPE=user&MARKER_ID="
			+ encodeURIComponent(this.propertyKey) +
            "&CONTENT=" + encodeURIComponent(this.contentId);
	Browser.callURL(extURL);
	this.broker.getReloadAction().invoke();
}
