 /*
 <DEPENDENCIES>
   <DEPENDS>Logger</DEPENDS>
   <DEPENDS>ScreenBroker</DEPENDS>
   <DEPENDS>ServiceRegistryAccessor</DEPENDS>
 </DEPENDENCIES>
 */
 function ToggleManagerStatic(sId, propertyKey)
 {
 if (sId) { this.init(sId, propertyKey); }
 }
 ToggleManagerStatic.prototype.init = function(sId, propertyKey)
 {
	this.sId = sId;
	this.propertyKey = propertyKey;
	this.initService();
	if (this.propertyservice && this.propertyservice.getPropertyValue(propertyKey))
	{
		;
		this.toogleOn = this.propertyservice.getPropertyValue(propertyKey);
	}
	else
	{
		this.toogleOn = false
	}
 }
 ToggleManagerStatic.prototype.setScreenBroker = function(broker)
 {
	;
	this.broker = broker;
 }
 ToggleManagerStatic.prototype.registerToggleBroker = function(toggleBroker)
 {
	;
	this.toggleBroker = toggleBroker;
 }
 ToggleManagerStatic.prototype.start = function()
 {
	 ;
	 if (this.toggleBroker)
	 {
		if (this.toogleOn)
		{
			this.toggleBroker.doIsToggleOn();
		}
		else
		{
			this.toggleBroker.doIsToggleOff();
		}
	 }
 }
 ToggleManagerStatic.prototype.getToggleOnAction = function()
 {
	return new ObjectMethodAction(this, 'setToggleOn');
 }
 ToggleManagerStatic.prototype.getToggleOffAction = function()
 {
	return new ObjectMethodAction(this, 'setToggleOff');
 }
 ToggleManagerStatic.prototype.setToggleOn = function()
 {
	if (this.propertyservice)
		this.propertyservice.setPropertyValue(this.propertyKey, true);
	this.broker.getReloadAction().invoke();
 }
 ToggleManagerStatic.prototype.setToggleOff = function()
 {
	if (this.propertyservice)
		this.propertyservice.setPropertyValue(this.propertyKey, false);
	this.broker.getReloadAction().invoke();
 }
 ToggleManagerStatic.prototype.initService = function()
 {
 	var serviceregistry = ServiceRegistryAccess.getServiceRegistry();
 	if (serviceregistry)
   		this.propertyservice = serviceregistry.getService("propertyservice");
 }
